<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();
$us_adm=intval($_GET['id']);
$ank_adm=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $us_adm LIMIT 1"));
$ank_adm['id']=intval($ank_adm['id']);
$set['title']='Аватар  '.$ank_adm['nick']; // заголовок страницы

include_once '../sys/inc/thead.php';
title();




$id=(int)$_GET['id'];// ID блога или новости ии стены юзера
#Проверяем ставил ли юзер лайк на какюто запись и т.п если нет то ставим
if(mysql_num_rows(mysql_query("SELECT * FROM `like` WHERE `id_us`='$user[id]' AND `id_src`='$id'"))==0){
#записываем лайк
if(isset($_GET['like'])){
mysql_query("INSERT INTO `like` (`id_us`,`id_src`)
VALUES ('$user[id]','$id')");
header ("location: ?id=$id&kto");
}
#проверяем есть ли лайк если есть то удаляем
}
elseif(mysql_num_rows(mysql_query("SELECT * FROM `like` WHERE `id_us`='$user[id]' AND `id_src`='$id'"))!=0){
#удаляем лайк
if(isset($_GET['like'])){
mysql_query("DELETE FROM `like` WHERE `id_src`='$id' AND `id_us`='$user[id]'");
header("location: ?id=$id");
}
}
// и здесь инклюд




if (isset($user) && $user['level']>2)include 'inc/admin_act.php';

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `ava` WHERE `id_user` = '$user[id]' AND `id_user_adm` = '".$us_adm."' AND `msg`='".$msg."' LIMIT 1"),0)==1){$err='Ваше сообщение является повтором.';}
else{

$msg=mysql_escape_string($msg);

mysql_query("INSERT INTO `ava` (id_user,id_user_adm, time, msg) values('$user[id]', '$us_adm', '$time', '$msg')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Комментарий  успешно добавлен');



$msg2=mysql_escape_string($msg2);

$msg=mysql_escape_string($msg);

if (isset($user) && $user['id']!=$us_adm){
$msg2="[b]$user[nick][/b] Оставил комментарий  к вашему [url=/ava/index.php?id=$us_adm] аватору[/url]";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us_adm', '$msg2', '$time')");
}
}
}

if (isset($_POST['msg']) && !isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood']>$time-300){$err='Для того чтобы чаще писать нужно авторизоваться';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `id_user_adm` = $us_adm AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_escape_string($msg);



$_SESSION['antiflood']=$time;
mysql_query("INSERT INTO `ava` (id_user, id_user_adm, time, msg) values('0', '$us_adm', '$time', '$msg')");
msg('Комментарий успешно добавлено');
}
}

err();
aut(); // форма авторизации
if (isset($user) && $user['id']==$ank_adm['id']){
echo "<a href='/avatar.php'>";
}
avatar($ank_adm['id']);

echo "</a>";

echo '<div class="foot">Комментарии:';


echo ' (';@include H.'ava/count.php';
echo ')<br />';
echo "<div class='status border3all'>";
if (isset($_GET['kto']))
{
$kto=mysql_num_rows(mysql_query("SELECT * FROM `like` WHERE `id_src`='$id'"));
echo "<span class='privet'>\n";
If ($kto==1)
echo "Понравилось 1 человеку <a href='?id=".$id."'><img src='exit.gif' alt=''/></a><br/>";
else
echo "Понравилось ".mysql_num_rows(mysql_query("SELECT * FROM `like` WHERE `id_src`='$id'"))." людям <a href='?id=".$id."'><img src='exit.gif' alt=''/></a><br/>";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `like` WHERE `id_src` = '".$id."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "<br>Еще никто не оценил вашу аву\n";
}
$q=mysql_query("SELECT * FROM `like` WHERE `id_src` = '".$id."' ORDER BY `id` DESC LIMIT 6");
while ($post = mysql_fetch_array($q))
{


if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".$post['id_us']."'"),0))
{
$qp=mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['id_us']."' LIMIT 1");
$p = mysql_fetch_array($qp);

echo " <a href='/info.php?id=".$p['id']."'>";



if(is_file("../sys/avatar/$p[id].gif")){
echo "<img src='/sys/avatar/$p[id].gif' width='30' height='30' alt='Аватар' />";
}else if(is_file("../sys/avatar/$p[id].jpg")){
echo "<img src='/sys/avatar/$p[id].jpg' width='30' height='30' alt='Аватар' />";
}else if(is_file("../sys/avatar/$p[id].png")){
echo "<img src='/sys/avatar/$p[id].png' width='30' height='30' alt='Аватар' />";
}else{
echo '<img src="/sys/avatar/0.png" width="30" height="30" alt="Аватар"/>';}

echo "</a>";



}
}


echo "</span></div><div class='status-img'></div>\n";
}
echo "<a href='?id=$id&like'><img src='klass.png' alt=''/></a> ".mysql_num_rows(mysql_query("SELECT * FROM `like` WHERE `id_src`='$id'"))."</div></div><br/>";







/////////////Это код для dcms fiera/////////////////////////////////

/*$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `ava` WHERE `id_user_adm` = '".intval($us_adm)."'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет сообщений<br/>\n";
}

$q=mysql_query("SELECT * FROM `ava` WHERE `id_user_adm` = $us_adm ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
$post['id']=intval($post['id']);
$ank=get_user($post['id_user']);
//$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
echo " <table>  <tr>\n";
if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
if ($ank['id']==0)
echo "<img src='/sys/avatar/guest.png' alt='Гость' />";
else
avatar($ank['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";
if ($ank['id']==0)
echo "<img src='/style/user/0.png' alt='Гость' />";
else
echo "".status($ank['id'])."";
echo "  </td>\n";
}

echo "  <td class='p_t'>\n";
if ($ank['id']==0)
echo "Гость (".vremja($post['time']).")\n";
else
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>\n";
echo "".medal($ank['id'])." ".online($ank['id'])." (".vremja($post['time']).")";
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";
if ($set['set_show_icon']==1)echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";
echo output_text($post['msg'])."<br />\n";
if (user_access('guest_delete') || isset($user) && $user['id']==$ank_adm['id'])
echo "<a href='delete.php?id=".$post['id']."'>Удалить</a><br />\n";
echo "  </td>\n";
echo "   </tr>\n";


echo "</table>\n";



}

if (isset($user))
{
echo '<form method="post" action="index.php?id='.$us_adm.'">';
echo "Сообщение: <a><a href='/smiles.php'>[Смайлы]</a><br />\n<textarea name=\"msg\"></textarea><br />\n";



if (!isset($user))echo "<img src=\"img.php?".SID."\" width=\"100\" height=\"30\" alt=\"Проверочное число\"/><br />\n<input name=\"chislo\" size=\"5\" maxlength=\"5\" value=\"\" type=\"text\" /><br/>\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}

echo "Вернуться к <a href='/info.php?id=".$ank_adm['id']."'>$ank_adm[nick]</a>\n";

if ($k_page>1)str('?id='.$ank_adm['id'].'&amp;',$k_page,$page); // Вывод страниц
*/
/////////конец кода для fiera////////////////


/////////////Это код для dcms 6.6.4/////////////////////////////////
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `ava` WHERE `id_user_adm` = $us_adm"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
///
echo "<table class='post'>";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет сообщений\n";
echo "  </td>\n";
echo "   </tr>\n";

}

$q=mysql_query("SELECT * FROM `ava` WHERE `id_user_adm` = $us_adm ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{

if ($post['id_user']==0)
{
$ank['id']=0;
$ank['pol']='guest';
$ank['level']=0;
}
else
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['id_user']."' LIMIT 1"));
//$ank=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));
echo "   <tr>\n";
if ($set['set_show_icon']==2){
echo "  <td class='icon48' rowspan='2'>\n";
if ($ank['id']==0)
echo "<img src='/sys/avatar/guest.png' alt='Гость' />";
else
avatar($ank['id']);
echo "  </td>\n";
}
elseif ($set['set_show_icon']==1)
{
echo "  <td class='icon14'>\n";

echo "  </td>\n";
}



echo "  <td class='p_t'>\n";
if ($ank['id']==0)
echo "Гость (".vremja($post['time']).")\n";
else
echo "<a href='/info.php?id=$ank[id]'>$ank[nick]</a>".online($ank['id'])." (".vremja($post['time']).")\n";
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";
if ($set['set_show_icon']==1)echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";
echo output_text($post['msg'])."<br />\n";
if ($user['id']==$ank_adm['id'])
echo "<a href='delete.php?id=$post[id]'>Удалить</a><br />\n";
echo "  </td>\n";
echo "   </tr>\n";

}
echo "</table>\n";









if (isset($user))
{
echo '<form method="post" action="index.php?id='.$us_adm.'">';
echo "Сообщение: <a><a href='/smiles/'>[Смайлы]</a><br />\n<textarea name=\"msg\"></textarea><br />\n";



if (!isset($user))echo "<img src=\"img.php?".SID."\" width=\"100\" height=\"30\" alt=\"Проверочное число\"/><br />\n<input name=\"chislo\" size=\"5\" maxlength=\"5\" value=\"\" type=\"text\" /><br/>\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
}

echo "<div class='menu'><a href='/info.php?id=$ank_adm[id]'>Вернуться к  $ank_adm[nick]</a></div>\n";

if ($k_page>1)str('?id='.$ank_adm['id'].'&amp;',$k_page,$page); // Вывод страниц

///////////////////Конец///////////


include_once '../sys/inc/tfoot.php';
?>
